commit:     23b226c140dca5b7b543ba2ec72306e0830cfd32
Author:     Alexey Sokolov <alexey+gentoo <AT> asokolov <DOT> org>
AuthorDate: Sat Dec 23 18:25:24 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Jan 10 07:11:35 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23b226c1

sci-astronomy/stellarium: add 23.4

Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Closes: https://github.com/gentoo/gentoo/pull/34451
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sci-astronomy/stellarium/Manifest                  |   4 +
 .../files/stellarium-0.23.4-unbundle-zlib.patch    |  23 +++
 sci-astronomy/stellarium/metadata.xml              |   1 +
 sci-astronomy/stellarium/stellarium-23.4.ebuild    | 203 +++++++++++++++++++++
 4 files changed, 231 insertions(+)

diff --git a/sci-astronomy/stellarium/Manifest 
b/sci-astronomy/stellarium/Manifest
index a9b7856aa68c..9e312f7503d8 100644
--- a/sci-astronomy/stellarium/Manifest
+++ b/sci-astronomy/stellarium/Manifest
@@ -6,7 +6,11 @@ DIST stars_7_2v0_1.cat 305710678 BLAKE2B 
1cc9b4a6bc35a9339e495f7e0da4f7e90a0e92b
 DIST stars_8_2v0_1.cat 559068934 BLAKE2B 
c040a369cdf6885759998e1315b554d21a5e2b9b149a67967a8af45606aebf57bec407fab5ce1904978af0dc529aa6bddd267331ca45f58617bbf56d5ca99dee
 SHA512 
06d4fa298b9dff8452f550377df99fcaa5e7107cfc7b75c9a4769b3cb6d97a822a54213c706102c1d7ef2dabc16df32a85f46b2f6d6c6f76a4e919353b739de4
 DIST stellarium-23.3.tar.xz 320086976 BLAKE2B 
38e6c7710b071f6c3086f9c428723a55ba76c9d14d919d3fa712040286cb1d866094918c25c18d245d86644851046e89ccad5c5e008e0f6b66b4cc2bd3672ca7
 SHA512 
da52d2c8981a3db4086539d2b32c42c6e85600cb4675aae2305bb82cf14398be162d8643f3f3ea38f1020c4650d8d2d4165fbd32be701562ab665e4c31fe99fb
 DIST stellarium-23.3.tar.xz.asc 313 BLAKE2B 
6efd2402c7b3c0ee5647a2ad506c7b7b17f481c1305ed10601459f1cf0cf3b77042a3131840bba27d411d293f6f73e7339c9878cfabd708dd3d9538a3cc75c82
 SHA512 
57a4feafe161d2fac3f0592d56372eca3cff9cd8b9c90876f63a3468a326bcf1104b54ed2ae7ae1e84c44a05cb35d64b6c6ca2fe26d7064f90a5e3d7e897eaf4
+DIST stellarium-23.4.tar.xz 324945696 BLAKE2B 
8642015bf2d8b40b2310953a265f831ee4527062d0d30fdfada4ac8a2fe9b9b644b72dd0dfb8969dd241b5188fd9602842516173c7832decd4175e753ff3fcdc
 SHA512 
877b2b07c3135763b038075c9d24487829d852da040601cf5e170dfbcb882d564946814f0ff95497aee157e6285ca5c5fbb714b7942b588c6a93af1c809bc17c
+DIST stellarium-23.4.tar.xz.asc 313 BLAKE2B 
7fc6b8dc82d12817ec41d00a365fdde0da888dcf06ea7daf86b7b5ff58fae2b2a3bff95da0f35b48dc85346f342472255ac8dae198ed91d4b1f790c7974d0fb0
 SHA512 
0aa11282c746f05bb128a6ab2fbdcb2008690dd6ca2c4a43bef65756bd21796a74891330dc7296f924eb8e390942a632b0ec5df28f404ec0f69bbcec0bc1747b
 DIST stellarium-dso-catalog-3.20.dat 28678745 BLAKE2B 
24ddf76e81e91424cced5df74dd164d17a45fed2b65c1dc1e7065371c18a796350a1e1aab2da5860376eb90eac07e7c836ffdbb324a0d3eda6c91e8ce1c4ab3a
 SHA512 
c84832bbf56d1097db3ff8fa8f3faadac1470a9f79d9ee759493915a48754dc86174551b5e705786f29331991bee57daa4cab6d7ecc2e4e00a2f895823ccfd87
 DIST stellarium-dso-catalog-3.20.dat.asc 313 BLAKE2B 
a7d9a1977ff4e1b21a80239d85ad5123ad03c2dcd57422cec7c2585eddb1004bbfc2b29a934653bc36c438981218811d21ade7380ae49278ef2c4f387ab762e5
 SHA512 
e8a7b10bb157d15b550a31646c8d8ce9933a77f748900a9c75f0c78b9b9205ce5e4e2ec18248ba786aacd5fbf36da00bbaf578b8b011c75351a9237568e62f1b
 DIST stellarium_user_guide-23.3-1.pdf 32929394 BLAKE2B 
0d4c1c4a667d963981dc7625cd2d0b229351393cf3ef6073cbb7b76947256906186cf72195f1c34081a9771b451f79adf459e45e01253675285efe8747d0aa91
 SHA512 
c5b4b41caf4a36ae85527ab33511e1d69da663714744d78cebd7513472227ef045db38944e9800ad9be0fe34902a7e7b09db7518194790e64eb93141eadf8d7e
 DIST stellarium_user_guide-23.3-1.pdf.asc 313 BLAKE2B 
8e976d2528bfa3b35761c968da5970ce3b76694a1c9980f90dcd51e7f55b9f34fbf778acb6c0999c544787382274ff747edacaf23e685a6b0ac2d75170296132
 SHA512 
be300a11072b17df4e0ecd7e1fd25193e23e0214ccfee3e1748461732f7065a9c2c7c38bfaf838607204b0f7b1bda4917ac5973d6ff081718f1ed7cd12f29c7b
+DIST stellarium_user_guide-23.4-1.pdf 32943744 BLAKE2B 
0f118a27cd0ce4e043702321ed79ffc185e6fcd755975176b9f2642373249970fd8d1e3af3d256e96fe3950265a938e3b4b1b02f11dc07e306dde320ded02919
 SHA512 
259a7b17d1d03979ac068564c9bafb1f275af56116f43a342c5d155cc4fc50a63a3ad053bb4e15513e6176d240f417f55749980d9d1f6cec69853309541d31d6
+DIST stellarium_user_guide-23.4-1.pdf.asc 313 BLAKE2B 
0eb7556dc59b78b10ccefabefbfd96f635a4a560ef5b533b50ad4cc60c23b289709d2ffde9a946eb07512885e728e3fd4e13af82daf9f55e9540ff00ae17481a
 SHA512 
5b72207483431eb2f8e4fc3fc8ce5d1f1e4d7ef61c944c7b3a21dfb1379f6fe3c3e15ffb87bf3de5d259d54a5ad9d1b65aa6d7c0e8aaa4bd1a2ffe8417862aaf

diff --git 
a/sci-astronomy/stellarium/files/stellarium-0.23.4-unbundle-zlib.patch 
b/sci-astronomy/stellarium/files/stellarium-0.23.4-unbundle-zlib.patch
new file mode 100644
index 000000000000..077b1b5710a6
--- /dev/null
+++ b/sci-astronomy/stellarium/files/stellarium-0.23.4-unbundle-zlib.patch
@@ -0,0 +1,23 @@
+This patch is not really needed, because zlib is already used from system, but
+it makes it easier to ensure that nothing else is bundled
+
+diff --git a/src/external/CMakeLists.txt b/src/external/CMakeLists.txt
+index e5af410..6d7bf6b 100644
+--- a/src/external/CMakeLists.txt
++++ b/src/external/CMakeLists.txt
+@@ -36,6 +36,7 @@ target_link_libraries(glues_stel Qt${QT_VERSION_MAJOR}::Gui)
+ set_target_properties(glues_stel PROPERTIES AUTOMOC 0)
+ SET_TARGET_PROPERTIES(glues_stel PROPERTIES FOLDER "src/external")
+ 
++if(0)
+ SET(zlib_SRCS
+      zlib/adler32.c
+      zlib/compress.c
+@@ -69,6 +70,7 @@ target_include_directories(zlib_stel PUBLIC zlib)
+ #turn off automoc, not needed here
+ set_target_properties(zlib_stel PROPERTIES AUTOMOC 0)
+ SET_TARGET_PROPERTIES(zlib_stel PROPERTIES FOLDER "src/external")
++endif()
+ 
+ ################################# INDI ################################
+ IF(USE_PLUGIN_TELESCOPECONTROL)

diff --git a/sci-astronomy/stellarium/metadata.xml 
b/sci-astronomy/stellarium/metadata.xml
index d4860f0597dd..da8ff2303389 100644
--- a/sci-astronomy/stellarium/metadata.xml
+++ b/sci-astronomy/stellarium/metadata.xml
@@ -21,6 +21,7 @@
        </longdescription>
        <use>
                <flag name="deep-sky">Install extra deep sky objects catalog 
(may affect performance)</flag>
+               <flag name="lens-distortion">Enable lens distortion estimator 
plugin</flag>
                <flag name="media">Enable sound and video support</flag>
                <flag name="scripting">Enable JS scripting via 
<pkg>dev-qt/qtscript</pkg> in Qt5 or using Qml via 
<pkg>dev-qt/qtdeclarative</pkg> in Qt6</flag>
                <flag name="show-my-sky">Enable a better atmosphere model via 
<pkg>sci-astronomy/calcmysky</pkg></flag>

diff --git a/sci-astronomy/stellarium/stellarium-23.4.ebuild 
b/sci-astronomy/stellarium/stellarium-23.4.ebuild
new file mode 100644
index 000000000000..e9f209b0755d
--- /dev/null
+++ b/sci-astronomy/stellarium/stellarium-23.4.ebuild
@@ -0,0 +1,203 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit cmake desktop flag-o-matic python-any-r1 xdg verify-sig virtualx
+
+DESCRIPTION="3D photo-realistic skies in real time"
+HOMEPAGE="https://stellarium.org/ https://github.com/Stellarium/stellarium";
+MY_DSO_VERSION="3.20"
+SRC_URI="
+       
https://github.com/Stellarium/stellarium/releases/download/v${PV}/${P}.tar.xz
+       verify-sig? ( 
https://github.com/Stellarium/stellarium/releases/download/v${PV}/${P}.tar.xz.asc
 )
+       deep-sky? (
+               
https://github.com/Stellarium/stellarium-data/releases/download/dso-${MY_DSO_VERSION}/catalog-${MY_DSO_VERSION}.dat
 -> ${PN}-dso-catalog-${MY_DSO_VERSION}.dat
+               verify-sig? ( 
https://github.com/Stellarium/stellarium-data/releases/download/dso-${MY_DSO_VERSION}/catalog-${MY_DSO_VERSION}.dat.asc
 -> ${PN}-dso-catalog-${MY_DSO_VERSION}.dat.asc )
+       )
+       doc? (
+               
https://github.com/Stellarium/stellarium/releases/download/v${PV}/stellarium_user_guide-${PV}-1.pdf
+               verify-sig? ( 
https://github.com/Stellarium/stellarium/releases/download/v${PV}/stellarium_user_guide-${PV}-1.pdf.asc
 )
+       )
+       stars? (
+               
https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_4_1v0_2.cat
+               
https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_5_2v0_1.cat
+               
https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_6_2v0_1.cat
+               
https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_7_2v0_1.cat
+               
https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_8_2v0_1.cat
+       )
+       telescope? (
+               https://github.com/indilib/indi/archive/v1.8.5.tar.gz -> 
indilib-1.8.5.tar.gz
+       )"
+
+LICENSE="GPL-2+ SGI-B-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug deep-sky doc gps +lens-distortion media nls qt6 +scripting 
+show-my-sky stars telescope test webengine +xlsx"
+
+# Python interpreter is used while building RemoteControl plugin
+BDEPEND="
+       ${PYTHON_DEPS}
+       dev-lang/perl
+       doc? ( app-doc/doxygen[dot] )
+       nls? (
+               !qt6? ( dev-qt/linguist-tools:5 )
+               qt6? ( dev-qt/qttools:6[linguist] )
+       )
+       verify-sig? ( sec-keys/openpgp-keys-stellarium )
+"
+RDEPEND="
+       media-fonts/dejavu
+       sys-libs/zlib
+       gps? ( sci-geosciences/gpsd:=[cxx] )
+       lens-distortion? (
+               media-gfx/exiv2:=
+               sci-libs/nlopt
+       )
+       media? ( virtual/opengl )
+       !qt6? (
+               dev-qt/qtcharts:5
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5=
+               dev-qt/qtnetwork:5
+               dev-qt/qtwidgets:5
+               >=sci-astronomy/calcmysky-0.3.0:=[qt5]
+               gps? (
+                       dev-qt/qtpositioning:5
+                       dev-qt/qtserialport:5
+               )
+               media? (
+                       dev-qt/qtmultimedia:5[widgets]
+                       dev-qt/qtopengl:5
+               )
+               scripting? ( dev-qt/qtscript:5 )
+               telescope? ( dev-qt/qtserialport:5 )
+               webengine? ( dev-qt/qtwebengine:5[widgets] )
+               xlsx? ( dev-libs/qxlsx:=[qt5] )
+       )
+       qt6? (
+               dev-qt/qtbase:6=[gui,network,widgets]
+               dev-qt/qtcharts:6
+               >=sci-astronomy/calcmysky-0.3.0:=[qt6]
+               gps? (
+                       dev-qt/qtpositioning:6
+                       dev-qt/qtserialport:6
+               )
+               media? (
+                       dev-qt/qtmultimedia:6[gstreamer]
+               )
+               scripting? ( dev-qt/qtdeclarative:6 )
+               telescope? ( dev-qt/qtserialport:6 )
+               webengine? ( dev-qt/qtwebengine:6[widgets] )
+               xlsx? ( dev-libs/qxlsx:=[qt6] )
+       )
+"
+DEPEND="${RDEPEND}
+       !qt6? (
+               dev-qt/qtconcurrent:5
+               test? ( dev-qt/qttest:5 )
+       )
+       qt6? ( dev-qt/qtbase:6=[concurrent] )
+"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+       "${FILESDIR}/stellarium-0.23.4-unbundle-zlib.patch"
+)
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/stellarium.asc
+src_unpack() {
+       # stars-2.0 are not signed
+       if use verify-sig; then
+               pushd "${DISTDIR}" > /dev/null || die
+               verify-sig_verify_detached \
+                       ${P}.tar.xz{,.asc}
+               use deep-sky && verify-sig_verify_detached \
+                       ${PN}-dso-catalog-${MY_DSO_VERSION}.dat{,.asc}
+               use doc && verify-sig_verify_detached \
+                       stellarium_user_guide-${PV}-1.pdf{,.asc}
+               popd > /dev/null || die
+       fi
+       default_src_unpack
+}
+
+src_prepare() {
+       cmake_src_prepare
+       use debug || append-cppflags -DQT_NO_DEBUG #415769
+
+       rm -r src/external/zlib/ || die
+
+       # for glues_stel aka libtess I couldn't find an upstream with the same 
API
+
+       local remaining="$(cd src/external/ && echo */)"
+       if [[ "${remaining}" != "glues_stel/" ]]; then
+               eqawarn "Need to unbundle more deps: ${remaining}"
+       fi
+}
+
+src_configure() {
+       filter-lto # https://bugs.gentoo.org/862249
+
+       local mycmakeargs=(
+               -DCCACHE_PROGRAM=no
+               -DCPM_LOCAL_PACKAGES_ONLY=yes
+               -DENABLE_GPS="$(usex gps)"
+               -DENABLE_MEDIA="$(usex media)"
+               -DENABLE_NLS="$(usex nls)"
+               -DENABLE_QT6="$(usex qt6)"
+               -DENABLE_QTWEBENGINE="$(usex webengine)"
+               -DENABLE_SHOWMYSKY=$(usex show-my-sky)
+               -DENABLE_SCRIPTING=$(usex scripting)
+               -DENABLE_TESTING="$(usex test)"
+               -DENABLE_XLSX="$(usex xlsx)"
+               -DUSE_PLUGIN_LENSDISTORTIONESTIMATOR="$(usex lens-distortion)"
+               -DUSE_PLUGIN_TELESCOPECONTROL="$(usex telescope)"
+               "$(cmake_use_find_package doc Doxygen)"
+       )
+       if use telescope; then
+               # https://bugs.gentoo.org/913177
+               mycmakeargs+=(
+                       -DPREFER_SYSTEM_INDILIB=no
+                       -DCPM_indiclient_SOURCE="${WORKDIR}/indi-1.8.5"
+               )
+       fi
+       cmake_src_configure
+}
+
+src_test() {
+       virtx cmake_src_test
+}
+
+src_compile() {
+       cmake_src_compile
+
+       if use doc ; then
+               cmake_build apidoc
+       fi
+}
+
+src_install() {
+       if use doc ; then
+               local HTML_DOCS=( "${BUILD_DIR}/doc/html/." )
+               dodoc "${DISTDIR}/stellarium_user_guide-${PV}-1.pdf"
+       fi
+       cmake_src_install
+
+       # use the more up-to-date system fonts
+       rm "${ED}"/usr/share/stellarium/data/DejaVuSans{Mono,}.ttf || die
+       dosym ../../fonts/dejavu/DejaVuSans.ttf 
/usr/share/stellarium/data/DejaVuSans.ttf
+       dosym ../../fonts/dejavu/DejaVuSansMono.ttf 
/usr/share/stellarium/data/DejaVuSansMono.ttf
+
+       if use stars ; then
+               insinto /usr/share/${PN}/stars/default
+               doins "${DISTDIR}"/stars_4_1v0_2.cat
+               doins "${DISTDIR}"/stars_{5,6,7,8}_2v0_1.cat
+       fi
+       if use deep-sky ; then
+               insinto /usr/share/${PN}/nebulae/default
+               newins "${DISTDIR}/${PN}-dso-catalog-${MY_DSO_VERSION}.dat" 
catalog.dat
+       fi
+       newicon doc/images/stellarium-logo.png ${PN}.png
+}

Reply via email to